ApiCommandStepProcess (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger.model

## Class ApiCommandStepProcess

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiCommandStepProcess

-     @Generated(value="io.swagger.codegen.languages.JavaClientCodegen",
                 date="2022-11-17T16:22:50.425Z")
      public class ApiCommandStepProcess
      extends Object

  Provides detailed information about a process executed by a command step.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiCommandStepProcess()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiCommandStepProcess` | `args(String args)`
    `boolean` | `equals(Object o)`
    `ApiCommandStepProcess` | `exitCode(BigDecimal exitCode)`
    `String` | `getArgs()` JSON-encoded list of program arguments.
    `BigDecimal` | `getExitCode()` The executed program's exit code.
    `BigDecimal` | `getId()` Id of the command step process.
    `String` | `getName()` Name of the command step process.
    `String` | `getProgram()` The executed program command.
    `String` | `getStderr()` Last lines of the executed program's standard error.
    `String` | `getStdout()` Last lines of the executed program's standard output.
    `int` | `hashCode()`
    `ApiCommandStepProcess` | `id(BigDecimal id)`
    `ApiCommandStepProcess` | `name(String name)`
    `ApiCommandStepProcess` | `program(String program)`
    `void` | `setArgs(String args)`
    `void` | `setExitCode(BigDecimal exitCode)`
    `void` | `setId(BigDecimal id)`
    `void` | `setName(String name)`
    `void` | `setProgram(String program)`
    `void` | `setStderr(String stderr)`
    `void` | `setStdout(String stdout)`
    `ApiCommandStepProcess` | `stderr(String stderr)`
    `ApiCommandStepProcess` | `stdout(String stdout)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiCommandStepProcess

          public ApiCommandStepProcess()

  - ### Method Detail

    - #### name

          public ApiCommandStepProcess name(String name)

    - #### getName

          public String getName()

      Name of the command step process.
      Returns:
        name

    - #### setName

          public void setName(String name)

    - #### id

          public ApiCommandStepProcess id(BigDecimal id)

    - #### getId

          public BigDecimal getId()

      Id of the command step process.
      Returns:
        id

    - #### setId

          public void setId(BigDecimal id)

    - #### program

          public ApiCommandStepProcess program(String program)

    - #### getProgram

          public String getProgram()

      The executed program command.
      Returns:
        program

    - #### setProgram

          public void setProgram(String program)

    - #### args

          public ApiCommandStepProcess args(String args)

    - #### getArgs

          public String getArgs()

      JSON-encoded list of program arguments.
      Returns:
        args

    - #### setArgs

          public void setArgs(String args)

    - #### stdout

          public ApiCommandStepProcess stdout(String stdout)

    - #### getStdout

          public String getStdout()

      Last lines of the executed program's standard output.
      Returns:
        stdout

    - #### setStdout

          public void setStdout(String stdout)

    - #### stderr

          public ApiCommandStepProcess stderr(String stderr)

    - #### getStderr

          public String getStderr()

      Last lines of the executed program's standard error.
      Returns:
        stderr

    - #### setStderr

          public void setStderr(String stderr)

    - #### exitCode

          public ApiCommandStepProcess exitCode(BigDecimal exitCode)

    - #### getExitCode

          public BigDecimal getExitCode()

      The executed program's exit code.
      Returns:
        exitCode

    - #### setExitCode

          public void setExitCode(BigDecimal exitCode)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2022. All rights reserved.